Name:			gmrun
Version:		0.9.2
Release:		12%{?dist}
Summary:		Lightweight "Run program" dialog box with search history and tab completion

Group:			User Interface/Desktops
License:		GPL+
URL:			http://sourceforge.net/projects/gmrun
Source0:		http://heanet.dl.sourceforge.net/sourceforge/%{name}/%{name}-%{version}.tar.gz
Patch0:			gmrun-gmrunrc.patch
Patch1:			gmrun-0.9.2-gcc43.patch
BuildRoot:		%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
%if 0%{?fedora} >= 8
BuildRequires:	popt-devel
%else
BuildRequires:	popt
%endif
BuildRequires:	gtk2-devel
Requires:		xterm
Requires:		man
Requires:		info
Requires:		xdg-utils


%description
A simple GTK program which provides a "run program" window.
It features a bash-like TAB completion, Ctrl-R/Ctrl-S for 
searching through the history and URL handlers for any user defined
prefix.


%prep
%setup -q
%patch0 -p1 -b .gmrunrc
%patch1 -p1 -b .gcc43


%build
%configure
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT INSTALL="%{__install} -p"


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc ChangeLog AUTHORS COPYING README NEWS
%{_datadir}/gmrun/
%{_bindir}/gmrun


%changelog
* Thu Jan 17 2008 Gilboa Davara <gilboad[AT]gmail.com> - 0.9.2-11
- Replace htmlview with xdg-utils. (#388441, Patch by Ville Skytta)
- gcc4.3 compile fix.
- EPEL5 regression.

* Mon Aug 27 2007 Gilboa Davara <gilboad[AT]gmail.com> - 0.9.2-10
- Re-Fix bad %%{_fedora} if/else. (Bad day)

* Mon Aug 27 2007 Gilboa Davara <gilboad[AT]gmail.com> - 0.9.2-9
- Fix bad %%{_fedora} if/else.

* Sun Aug 26 2007 Gilboa Davara <gilboad[AT]gmail.com> - 0.9.2-8
- Fixed license tag.
- Fixed F8 BR - popt-devel.

* Sat Feb 10 2007 Gilboa Davara <gilboad[AT]gmail.com> - 0.9.2-7
- Preserve the source time-stamp.

* Sun Feb 04 2007 Gilboa Davara <gilboad[AT]gmail.com> - 0.9.2-6
- Fixed summery.
- Remove redundant fileattr.

* Sun Jan 28 2007 Gilboa Davara <gilboad[AT]gmail.com> - 0.9.2-5
- Missing REQ: man.
- Missing REQ: info.
- Missing REQ: xdg-open.
- Use xdg-open to handle files.

* Sat Jan 20 2007 Gilboa Davara <gilboad[AT]gmail.com> - 0.9.2-4
- Add missing NEWS to %%doc.

* Thu Jan 18 2007 Gilboa Davara <gilboad[AT]gmail.com> - 0.9.2-3
- Fix wrong group and project URLs.
- Fix summery, description.
- Remove BR: glib2-devel. (REQ by gtk2-devel).
- Add BR: popt
- Remove gmrunrc from %%config section.
- Set gmrunrc to 0644 (by default it's 0600)
- Configure gmrunrc to better handle Fedora URI's.
- Add REQ: htmlview. (gmrunrc)
- Add REQ: xterm. (gmrunrc)

* Sat Jan 13 2007 Gilboa Davara <gilboad[AT]gmail.com> - 0.9.2-2
- Fix Source0 URL.
- Remove redundant %%doc files.

* Sat Jan 13 2007 Gilboa Davara <gilboad[AT]gmail.com> - 0.9.2-1
- Initial release.

